1 2 Previous Next 23 Replies Latest reply on Aug 7, 2006 5:11 PM by Ben Truitt

    error with GPD 3.0.8 Eclipse plugin

    Mennen Newbie

      Hi,

      I migrated from GPD 3.0.5 to GPD 3.0.8 and i got problems in Eclipse (3.1.2).

      Here is the list of errors i get, which disables my workspace, so i can't work at all:

      An internal error occurred during: "Initializing Java tooling".
      
      java.lang.NullPointerException
      at org.jbpm.ui.util.JbpmClasspathContainer.getJarNames(Unknown Source)
      at org.jbpm.ui.util.JbpmClasspathContainer.createJbpmLibraryEntries(Unknown Source)
      at org.jbpm.ui.util.JbpmClasspathContainer.getClasspathEntries(Unknown Source)
      at org.eclipse.jdt.internal.core.JavaModelManager.containerPutIfInitializingWithSameEntries(JavaModelManager.java:297)
      at org.eclipse.jdt.core.JavaCore.setClasspathContainer(JavaCore.java:3856)
      at org.jbpm.ui.util.JbpmClasspathContainerInitializer.initialize(Unknown Source)
      at org.eclipse.jdt.internal.core.JavaModelManager.initializeContainer(JavaModelManager.java:1591)
      at org.eclipse.jdt.internal.core.JavaModelManager.getClasspathContainer(JavaModelManager.java:1040)
      at org.eclipse.jdt.core.JavaCore.getClasspathContainer(JavaCore.java:1326)
      at org.eclipse.jdt.internal.core.JavaProject.getResolvedClasspath(JavaProject.java:2046)
      at org.eclipse.jdt.internal.core.JavaProject.getResolvedClasspath(JavaProject.java:1954)
      at org.eclipse.jdt.internal.core.search.JavaSearchScope.add(JavaSearchScope.java:108)
      at org.eclipse.jdt.internal.core.search.JavaWorkspaceScope.initialize(JavaWorkspaceScope.java:84)
      at org.eclipse.jdt.internal.core.search.JavaSearchScope.<init>(JavaSearchScope.java:62)
      at org.eclipse.jdt.internal.core.search.JavaSearchScope.<init>(JavaSearchScope.java:58)
      at org.eclipse.jdt.internal.core.search.JavaWorkspaceScope.<init>(JavaWorkspaceScope.java:29)
      at org.eclipse.jdt.internal.core.JavaModelManager.getWorkspaceScope(JavaModelManager.java:1421)
      at org.eclipse.jdt.internal.core.search.BasicSearchEngine.createWorkspaceScope(BasicSearchEngine.java:157)
      at org.eclipse.jdt.core.search.SearchEngine.createWorkspaceScope(SearchEngine.java:392)
      at org.eclipse.jdt.core.JavaCore$1.run(JavaCore.java:2624)
      at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)
      


      Did anyone encounter the same problem with this plugin?

      When i switched back to the 3.0.5 version it works fine once again..

      THanks in advance,


        • 1. Re: error with GPD 3.0.8 Eclipse plugin
          Marcos Donato Newbie

          I'm facing the same problem ....

          • 2. Re: error with GPD 3.0.8 Eclipse plugin
            for Jbpm Novice

            Hi!
            How did you upadate it?? using site modeule or feature??

            It looks like that its not able to find ui.jar...

            • 3. Re: error with GPD 3.0.8 Eclipse plugin
              Marcos Donato Newbie

              I downloaded the file "jbpm-gpd-site-3.0.8.zip" and install from eclipse uptade !!!

              • 4. Re: error with GPD 3.0.8 Eclipse plugin
                boerse scholz Newbie

                and can you deploy? since i updated my version i cannot do it any more....

                • 5. Re: error with GPD 3.0.8 Eclipse plugin
                  Marcos Donato Newbie

                  I do not download the engine jbpm-3.1 ... couse at this moment i only need the gpd ...

                  i use gpd only for develop flows !

                  so at another moment i publish it in our application in an j2ee container with jboss integrated ..

                  Then, i can't answer this to you !

                  • 6. Re: error with GPD 3.0.8 Eclipse plugin
                    boerse scholz Newbie

                    hi mdonato, and how do you deploy your .pars in the JBoss? have you ever tried using eclipse?

                    • 7. Re: error with GPD 3.0.8 Eclipse plugin
                      Koen Aers Master

                      The best solution for this problem is to first manually add all the libs from your jBPM classpath container to your project (3.0.5) and then get rid of the classpath container. If you then startup with 3.0.8 all will be fine.

                      Regards,
                      Koen

                      • 8. Re: error with GPD 3.0.8 Eclipse plugin
                        taek oh Newbie

                        i also faced same problem
                        elipse 3.1, 3.1.2 same..
                        gdp 3.0.5, 3.0.8 same

                        and i tried to reinstall eclipse
                        it's ok.

                        maybe, other library affect to gdp
                        my system have myelipse, editor list, mavenide etc.

                        good luck

                        • 9. Re: error with GPD 3.0.8 Eclipse plugin
                          Mennen Newbie

                           

                          "koen.aers@jboss.com" wrote:
                          The best solution for this problem is to first manually add all the libs from your jBPM classpath container to your project (3.0.5) and then get rid of the classpath container. If you then startup with 3.0.8 all will be fine.

                          Regards,
                          Koen


                          Can you please be more specific about what I should do? I'm not really an expert so i don't know what you mean by "jBPM classpath container" and what project you mean by "project (3.0.5)"? I do have a jbpm.3 project, is that what you meant?
                          I tried to uninstall the 3.0.5 and 3.0.8 and then reinstall 3.0.8 once again, but still didn't work..

                          Thank you,

                          Mennen

                          • 10. Re: error with GPD 3.0.8 Eclipse plugin
                            idris yuce Newbie

                            i faced the same problem,
                            to solve it, i installed a fresh eclipse (3.1 or 3.2) and jbpm 3.1 then it worked fine.

                            • 11. Re: error with GPD 3.0.8 Eclipse plugin
                              Koen Aers Master

                              Mennen,

                              Installing a fresh Eclipse is definitely the best thing you can do if you are no expert.
                              Otherwise, have a look at each of your 'process' projects in your workspace. There should be a classpath container called 'jBPM 3.xxxx' containing a number of jar file references. You have to locate each of these jar files and add them to the library path of your project. If this is done, simply delete the classpath container.

                              Regards,
                              Koen

                              • 12. Re: error with GPD 3.0.8 Eclipse plugin
                                Mennen Newbie

                                I reinstalled eclipse 3.1.2 and i'm still facing the same problem!!

                                An internal error occurred during: "Initializing Java tooling".
                                java.lang.NullPointerException
                                at org.jbpm.ui.util.JbpmClasspathContainer.getJarNames(Unknown Source)
                                at org.jbpm.ui.util.JbpmClasspathContainer.createJbpmLibraryEntries(Unknown Source)
                                at org.jbpm.ui.util.JbpmClasspathContainer.getClasspathEntries(Unknown Source)
                                at org.eclipse.jdt.internal.core.JavaModelManager.containerPutIfInitializingWithSameEntries(JavaModelManager.java:297)
                                at org.eclipse.jdt.core.JavaCore.setClasspathContainer(JavaCore.java:3856)
                                at org.jbpm.ui.util.JbpmClasspathContainerInitializer.initialize(Unknown Source)
                                at org.eclipse.jdt.internal.core.JavaModelManager.initializeContainer(JavaModelManager.java:1591)
                                at org.eclipse.jdt.internal.core.JavaModelManager.getClasspathContainer(JavaModelManager.java:1040)
                                at org.eclipse.jdt.core.JavaCore.getClasspathContainer(JavaCore.java:1326)
                                at org.eclipse.jdt.internal.core.JavaProject.getResolvedClasspath(JavaProject.java:2046)
                                at org.eclipse.jdt.internal.core.JavaProject.getResolvedClasspath(JavaProject.java:1954)
                                at org.eclipse.jdt.internal.core.search.JavaSearchScope.add(JavaSearchScope.java:108)
                                at org.eclipse.jdt.internal.core.search.JavaWorkspaceScope.initialize(JavaWorkspaceScope.java:84)
                                at org.eclipse.jdt.internal.core.search.JavaSearchScope.<init>(JavaSearchScope.java:62)
                                at org.eclipse.jdt.internal.core.search.JavaSearchScope.<init>(JavaSearchScope.java:58)
                                at org.eclipse.jdt.internal.core.search.JavaWorkspaceScope.<init>(JavaWorkspaceScope.java:29)
                                at org.eclipse.jdt.internal.core.JavaModelManager.getWorkspaceScope(JavaModelManager.java:1421)
                                at org.eclipse.jdt.internal.core.search.BasicSearchEngine.createWorkspaceScope(BasicSearchEngine.java:157)
                                at org.eclipse.jdt.core.search.SearchEngine.createWorkspaceScope(SearchEngine.java:392)
                                at org.eclipse.jdt.core.JavaCore$1.run(JavaCore.java:2624)
                                at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)
                                


                                Please tell me what i'm missing

                                • 13. Re: error with GPD 3.0.8 Eclipse plugin
                                  Koen Aers Master

                                  You are probably reusing the workspace you had in your previous installation. Getting rid of the classpath container is the only option then.

                                  Regards,
                                  Koen

                                  • 14. Re: error with GPD 3.0.8 Eclipse plugin
                                    Mennen Newbie

                                    i am in fact using the same workspace as before.. can you please be kind enough to tell me what you mean by classpath container?

                                    Thank you for your help,

                                    1 2 Previous Next